/*
 *	configwindow.h	Declaration of the Config Window
 *
 *
 *
 *
 */


#ifndef __CMI8X38_CONFIG_WINDOW_H__
#define __CMI8X38_CONFIG_WINDOW_H__

// config app includes
#include "URLView.h"

// be includes
#include <Rect.h>

// liblayout includes
#include "layout.h"
#include "MWindow.h"
#include "MCheckBox.h"
#include "MRadioGroup.h"

class ConfigWindow : public MWindow
{
public:
	// Constructor
	ConfigWindow( char *WindowTitle, BRect Frame, int *fd );
	// Destructor
	virtual ~ConfigWindow(void);

	bool QuitRequested(void);
	void MessageReceived( BMessage* msg );
	void InitGUI(void);
private:
	MView		*ConfigView;
	
	MCheckBox	*SpdifInOutLoopback;
	MCheckBox	*SwitchSpdifOut;
	MCheckBox	*MonitorSpdifIn;
	MCheckBox	*SpdifInOutCopyright;
	MCheckBox	*SpdifInValidity;
	MCheckBox	*Switch4ChannelDuplicateMode;
	
	MRadioGroup	*SpdifOutLevel;
	MRadioGroup	*SpdifInFormat;

	MStringView	*DeviceID;
	MStringView	*ChipID;
	MStringView *DriverVer;

	URLView		*email;
	URLView		*web;

	int			fd;		// the filedescriptor for the driver
};

#endif
